## GODataScalar GODataScalar |

## Synopsis

                        GODataScalar;
                        GODataScalarClass;

    double              go_data_scalar_get_value            (GODataScalar *val);
    char const *        go_data_scalar_get_str              (GODataScalar *val);

## Object Hierarchy

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarStr
                   +----GODataScalarVal

## Description

## Details

### GODataScalar

    typedef struct _GODataScalar GODataScalar;

### GODataScalarClass

    typedef struct {
    	GODataClass base;
    	double       (*get_value)  (GODataScalar *scalar);
    	char const  *(*get_str)	   (GODataScalar *scalar);
    } GODataScalarClass;

### go_data_scalar_get_value ()

    double              go_data_scalar_get_value            (GODataScalar *val);

`val` : |
Returns : |

### go_data_scalar_get_str ()

    char const *        go_data_scalar_get_str              (GODataScalar *val);

`val` : |
Returns : |